excelExporter.excelParser

## Enum SortOrder.Order

- java.lang.Object
- - java.lang.Enum<SortOrder.Order>
  - - excelExporter.excelParser.SortOrder.Order

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SortOrder.Order>
  Enclosing class:
    SortOrder

      public static enum SortOrder.Order
      extends java.lang.Enum<SortOrder.Order>

  An enumeration describing the supported sorting of objects in the data model.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASCII` Similar to `lexical` but the natural Java compare of class String is applied.
    `inverseASCII` This sorting order leads to the inverse sequence as `ASCII` does.
    `inverseLexical` This sorting order leads to the inverse sequence as `lexical` does.
    `inverseNumerical` The inverse numerically sort order leads to a sequence, where number representing strings precede non number strings.
    `lexical` Lexical order.
    `numerical` The numerical order tries to interpret both compared character strings as real numbers.
    `undefined` Illegal value, no sort order.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SortOrder.Order` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SortOrder.Order[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### undefined

          public static final SortOrder.Order undefined

      Illegal value, no sort order.

    - #### lexical

          public static final SortOrder.Order lexical

      Lexical order. The case insensitive Java String comparison is applied. It'll do a natural alphabetic sorting but will not necessarily handle language specific characters as expected. See Java documentation of `String.compareToIgnoreCase(java.lang.String)` for details.

    - #### ASCII

          public static final SortOrder.Order ASCII

      Similar to `lexical` but the natural Java compare of class String is applied. Comparison is done case sensitive. See Java documentation of `String.compareTo(java.lang.String)` for details.

    - #### numerical

          public static final SortOrder.Order numerical

      The numerical order tries to interpret both compared character strings as real numbers. It uses the Java method `Double.parseDouble(java.lang.String)` to do so. If both strings are found to be numbers then the string representing the smaller number will precede the string representing the greater number.

      If only one string represents a number then this string will precede the non number.

      If both strings don't represent numbers then they are sorted in ascending lexical order.

      The final sort order is a sequence of raising numbers followed by a block of alphabetically ascending non number strings.

    - #### inverseLexical

          public static final SortOrder.Order inverseLexical

      This sorting order leads to the inverse sequence as `lexical` does.

    - #### inverseASCII

          public static final SortOrder.Order inverseASCII

      This sorting order leads to the inverse sequence as `ASCII` does.

    - #### inverseNumerical

          public static final SortOrder.Order inverseNumerical

      The inverse numerically sort order leads to a sequence, where number representing strings precede non number strings. The number strings are sorted in order of falling number values and the non numbers in descending lexical order.

      Please note, this sort order does not lead to the inverse sequence as `numerical` does.

  - ### Method Detail

    - #### values

          public static SortOrder.Order[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SortOrder.Order c : SortOrder.Order.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SortOrder.Order valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null